> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Member Documents

> Lists all member documents.



## OpenAPI

````yaml schemas/2023-08-25/schema.yaml get /member_documents
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /member_documents:
    get:
      tags:
        - member_documents
      description: Lists all member documents.
      operationId: member_documents_list
      parameters:
        - name: cursor
          required: false
          in: query
          description: The pagination cursor value.
          schema:
            type: string
        - in: query
          name: employer
          schema:
            type: string
        - in: query
          name: member
          schema:
            type: string
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedMemberDocumentList'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedMemberDocumentList:
      type: object
      properties:
        next:
          type: string
          nullable: true
        previous:
          type: string
          nullable: true
        results:
          type: array
          items:
            $ref: '#/components/schemas/MemberDocument'
    MemberDocument:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        member:
          type: string
        file:
          type: string
          format: uri
          description: >-
            Signed private storage URL for downloading the PDF. Upload the file
            itself with a multipart/form-data request.
        name:
          type: string
          maxLength: 255
          description: Display name for the document.
        document_type:
          $ref: '#/components/schemas/MemberDocumentTypeEnum'
        created_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - created_at
        - document_type
        - file
        - id
        - member
        - name
    MemberDocumentTypeEnum:
      enum:
        - 1095_c
        - insurance_id_card
        - general
      type: string
      description: |-
        * `1095_c` - 1095-C
        * `insurance_id_card` - Insurance ID Card
        * `general` - General
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.